/*
 * Copyright (C) 2009-2011 Eiichiro Uchiumi. All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 *     
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.eiichiro.jazzmaster;

/**
 * {@code BootstrapException} is thrown when Jazzmaster application's bootstrap 
 * process is failed for any reason.
 *
 * @author <a href="mailto:eiichiro@eiichiro.org">Eiichiro Uchiumi</a>
 */
public class BootstrapException extends RuntimeException {

	private static final long serialVersionUID = 2701619857929122238L;
	
	/**
	 * Constructs a new {@code BootstrapException} instance with the specified 
	 * detail message.
	 * 
	 * @param message The detail message.
	 */
	public BootstrapException(String message) {
		super(message);
	}
	
	/**
	 * Constructs a new {@code BootstrapException} instance with the specified 
	 * detail message and the root cause exception.
	 * 
	 * @param message The detail message.
	 * @param cause The root cause exception.
	 */
	public BootstrapException(String message, Throwable cause) {
		super(message, cause);
	}
	
	/**
	 * Constructs a new {@code BootstrapException} instance with the root cause 
	 * exception.
	 * 
	 * @param cause The root cause exception.
	 */
	public BootstrapException(Throwable cause) {
		super(cause);
	}

}
